import React, { useEffect, useState } from 'react'
import SimilarQuestion from './similar-question'
import { Title } from '../styled-text-spans/index'
import styles from './similar-question-suggestions.module.css'

const SimilarQuestionSuggestions = ({ title, description, tags }) => {
  const [similarQuestions, setSimilarQuestions] = useState([
    {
      url: 'https://dasunx.com',
      title: 'How to center a div element vertically',
      author: {
        username: 'dasunx',
        profilePhoto:
          'https://secure.gravatar.com/avatar/608a987a8401796f68c4d11f?s=90&d=monsterid'
      },
      views: 240,
      comments: 12
    },
    {
      url: 'https://dasunx.com',
      title:
        "I can center it horizontally, but the thing is I don't know how to center it vertically.I can center it horizontally, but the thing is I don't know how to center it vertically.",
      author: {
        username: 'dasunx',
        profilePhoto:
          'https://secure.gravatar.com/avatar/608a987a8401796f68c4d11f?s=90&d=monsterid'
      },
      views: 20,
      comments: 1
    },
    {
      url: 'https://dasunx.com',
      title: 'Test question 3',
      author: {
        username: 'dasunx',
        profilePhoto:
          'https://secure.gravatar.com/avatar/608a987a8401796f68c4d11f?s=90&d=monsterid'
      },
      views: 40,
      comments: 6
    }
  ])
  useEffect(() => {
    // TODO - Fetch similar questions from backend using the title/ description
    console.log('TITLE CHANGED')
  }, [])
  return (
    <div className={styles.container}>
      <h1>
        Similar questions -{' '}
        <Title title={title} textColor="var(--main-purple)" />
      </h1>
      {similarQuestions.map((question, index) => {
        return <SimilarQuestion question={question} key={index} />
      })}
    </div>
  )
}

export default SimilarQuestionSuggestions
